<?php
namespace ModulesAbstract\PluginReports\ConfigUDEFListing;

abstract class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
    protected $absLang = [];

	/**
	 * Override parent, load absLang if not defined locally
	 * @return void
	 */
	protected function loadTranslations()
	{
		parent::loadTranslations();
		$this->absLang = \App\Loader_Lang::getInstance()->loadAppFile('_customLoad/modulesAbstract/pluginReports/configUdefListing/ConfigUDEFListing.lang.php')->getSection("ModulesAbstract/PluginReports/ConfigUDEFListing");
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::populateDefinedOptions()
	 * @param \App\Mvc\View\Utils\RowOptions\Container\Simple $options
	 * @return void
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Insert::create("insert")
				->setDescription($this->absLang['index']['options']['buttons']['insert'])
				->setDimensions(700, 450)
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Update::create('update')
				->setDescription($this->absLang['index']['options']['description']['update'])
				->setDimensions(700, 450)
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Delete::create("delete")
				->setDescription($this->absLang['index']['options']['buttons']['delete'])
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\DeleteSelected::create("delete")
				->setSection('bulk')
				->setDescription($this->absLang['index']['options']['buttons']['delete'])
			);
	}

}
